Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1436 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

Continuous lockups using SVN 2568 and kernel 2.6.22

Reported by: mingus@orcon.net.nz Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I have recently built and installed trunk revision 2568 against kernel 2.6.22. However once the module has been loaded there are continuous intermittent lockups when using the system, even when not using wireless (although it is much worse when using wireless). The problem stops the second I eject my PCMCIA card, and begins as soon as I re-insert it. I have checked for IRQ conflicts and there are none, messages in /var/log/messages are normal except possibly for the following (the OS is Debian not RedHat?):

Jul 11 11:30:35 localhost dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name

Is this a known bug, and is there any info/output I can provide to help find out what is happening?

Change History

07/11/07 13:29:03 changed by anonymous

UPDATE: Sorry I posted the wrong message there, it should be 'ath0' not 'eth1'.

Also, I get this message in the output of 'iwconfig':

Warning: Driver for device ath0 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

07/12/07 06:31:58 changed by mrenzmann

Are you sure that the "message handler not found" stuff is the cause for the lockups? I ask because I had a lot of hits when googling for that message, and it seems this also occurs when not using MadWifi and in various Linux distros.

You could try DevDocs/KernelOops and see if you can obtain a possible kernel oops dump. Enabling the NMI handler in the kernel might help with that.

07/14/07 18:10:29 changed by mingus@orcon.net.nz

I am sure that the "message handler not found" stuff is not the reason for the lockups (I get this message with wired connection as well, which works fine).

I have looked at the 'KernelOops?' page - not very instructive (to me at least), the most I can make of it is to look at /var/log/syslog for something that looks like a kernel oops - there doesn't seem to be one:

Jul 14 13:54:31 localhost kernel: pccard: CardBus card inserted into slot 0
Jul 14 13:54:31 localhost kernel: PCI: Enabling device 0000:02:00.0 (0000 -> 0002)
Jul 14 13:54:31 localhost kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNKF] -> GSI 10 (level, low) -> IRQ 10
Jul 14 13:54:31 localhost kernel: ath_pci: switching rfkill capability off
Jul 14 13:54:31 localhost kernel: ath_pci: ath_pci: switching per-packet transmit power control off
Jul 14 13:54:31 localhost kernel: wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
Jul 14 13:54:31 localhost kernel: wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Jul 14 13:54:31 localhost kernel: wifi0: H/W encryption support: WEP AES AES_CCM TKIP
Jul 14 13:54:31 localhost kernel: wifi0: mac 7.8 phy 4.5 radio 5.6
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 1 for WME_AC_BE traffic
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 0 for WME_AC_BK traffic
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 2 for WME_AC_VI traffic
Jul 14 13:54:31 localhost NetworkManager: <debug info>^I[1184417671.776130] nm_hal_device_added (): New device added (hal udi is '/org/freedesktop/Hal/devices/pci_168c_1a'). 
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 3 for WME_AC_VO traffic
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 8 for CAB traffic
Jul 14 13:54:31 localhost kernel: wifi0: Use hw queue 9 for beacons
Jul 14 13:54:31 localhost kernel: wifi0: Atheros 5212: mem=0x34000000, irq=10
Jul 14 13:54:31 localhost NetworkManager: <debug info>^I[1184417671.816210] nm_hal_device_added (): New device added (hal udi is '/org/freedesktop/Hal/devices/net_00_19_e0_81_60_db'). 
Jul 14 13:54:31 localhost NetworkManager: <debug info>^I[1184417671.849645] nm_hal_device_added (): New device added (hal udi is '/org/freedesktop/Hal/devices/net_00_19_e0_81_60_db_0'). 
Jul 14 13:54:31 localhost NetworkManager: <information>^Iath0: Device is fully-supported using driver 'ath_pci'. 
Jul 14 13:54:31 localhost NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start 
Jul 14 13:54:31 localhost NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing. 
Jul 14 13:54:31 localhost NetworkManager: <information>^INow managing wireless (802.11) device 'ath0'. 
Jul 14 13:54:31 localhost NetworkManager: <information>^IDeactivating device ath0.

This is where it locks up, and I am forced to eject the card:

Jul 14 13:56:06 localhost kernel: pccard: card ejected from slot 0
Jul 14 13:56:07 localhost NetworkManager: <debug info>^I[1184417767.506473] nm_hal_device_removed (): Device removed (hal udi is '/org/freedesktop/Hal/devices/net_00_19_e0_81_60_db_0'). 
Jul 14 13:56:07 localhost NetworkManager: <information>^IDeactivating device ath0. 
Jul 14 13:56:07 localhost kernel: ACPI: PCI interrupt for device 0000:02:00.0 disabled
Jul 14 13:56:07 localhost NetworkManager: <WARNING>^I nm_device_802_11_wireless_get_mode (): error getting card mode on ath0: No such device 
Jul 14 13:56:07 localhost NetworkManager: <WARNING>^I get_scan_results (): unknown error, or the card returned too much scan info: No such device 
Jul 14 13:56:07 localhost NetworkManager: <WARNING>^I nm_device_802_11_wireless_scan (): device ath0 returned an error. 
Jul 14 13:56:07 localhost NetworkManager: <WARNING>^I nm_device_802_11_wireless_get_mode (): error getting card mode on ath0: No such device 
Jul 14 13:56:07 localhost NetworkManager: <debug info>^I[1184417767.878957] nm_hal_device_removed (): Device removed (hal udi is '/org/freedesktop/Hal/devices/net_00_19_e0_81_60_db'). 
Jul 14 13:56:07 localhost NetworkManager: <debug info>^I[1184417767.880061] nm_hal_device_removed (): Device removed (hal udi is '/org/freedesktop/Hal/devices/pci_168c_1a').

Sometimes after inserting the card, I am able to get far enough to select a network to connect to (and even enter the WEP key) before it locks up (changin from wired [eth1] to wireless [ath0] using NetworkManager Applet):

Jul 14 14:53:38 localhost NetworkManager: <information>^Iath0: Device is fully-supported using driver 'ath_pci'. 
Jul 14 14:53:38 localhost NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start 
Jul 14 14:53:38 localhost NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing. 
Jul 14 14:53:38 localhost NetworkManager: <information>^INow managing wireless (802.11) device 'ath0'. 
Jul 14 14:53:38 localhost NetworkManager: <information>^IDeactivating device ath0. 
Jul 14 14:53:47 localhost NetworkManager: <debug info>^I[1184421227.277747] nm_device_802_11_wireless_get_activation_ap (): Forcing AP 'Oatcakes' 
Jul 14 14:53:47 localhost NetworkManager: <information>^IUser Switch: /org/freedesktop/NetworkManager/Devices/ath0 / Oatcakes 
Jul 14 14:53:47 localhost NetworkManager: <information>^IDeactivating device ath0. 
Jul 14 14:53:47 localhost dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Jul 14 14:53:47 localhost NetworkManager: <information>^IDevice ath0 activation scheduled... 
Jul 14 14:53:47 localhost NetworkManager: <information>^IDeactivating device eth1. 
Jul 14 14:53:47 localhost dhclient: There is already a pid file /var/run/dhclient.eth1.pid with pid 4925
Jul 14 14:53:47 localhost dhclient: killed old client process, removed PID file
Jul 14 14:53:47 localhost dhclient: wifi0: unknown hardware address type 801
Jul 14 14:53:47 localhost dhclient: wifi0: unknown hardware address type 801
Jul 14 14:53:47 localhost dhclient: DHCPRELEASE on eth1 to 62.30.144.119 port 67
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) started... 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) scheduled... 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) started... 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) scheduled... 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) complete. 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) starting... 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0/wireless): access point 'Oatcakes' is encrypted, but NO valid key exists.  New key needed. 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) New wireless user key requested for network 'Oatcakes'. 
Jul 14 14:53:48 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) complete. 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) New wireless user key for network 'Oatcakes' received. 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) scheduled... 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) started... 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) scheduled... 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) Stage 1 of 5 (Device Prepare) complete. 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) starting... 
Jul 14 14:54:20 localhost NetworkManager: <information>^IActivation (ath0/wireless): access point 'Oatcakes' is encrypted, and a key exists.  No new key needed. 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'INTERFACE_ADD ath0^I^Iwext^I/var/run/wpa_supplicant^I' 
Jul 14 14:54:21 localhost kernel: ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'AP_SCAN 1' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'ADD_NETWORK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was '0' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'SET_NETWORK 0 ssid 4f617463616b6573' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'SET_NETWORK 0 key_mgmt NONE' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'SET_NETWORK 0 wep_key0 <key>' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'SET_NETWORK 0 wep_tx_keyidx 0' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: sending command 'ENABLE_NETWORK 0' 
Jul 14 14:54:21 localhost NetworkManager: <information>^ISUP: response was 'OK' 
Jul 14 14:54:21 localhost NetworkManager: <information>^IActivation (ath0) Stage 2 of 5 (Device Configure) complete. 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Global control interface '/var/run/wpa_supplicant-global' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX global ctrl_iface - hexdump_ascii(len=49): 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      49 4e 54 45 52 46 41 43 45 5f 41 44 44 20 61 74   INTERFACE_ADD at 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      68 30 09 09 77 65 78 74 09 2f 76 61 72 2f 72 75   h0__wext_/var/ru 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      6e 2f 77 70 61 5f 73 75 70 70 6c 69 63 61 6e 74   n/wpa_supplicant 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      09                                                _                
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE GLOBAL INTERFACE_ADD 'ath0^I^Iwext^I/var/run/wpa_supplicant^I' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Initializing interface 'ath0' conf 'N/A' driver 'wext' ctrl_interface '/var/run/wpa_supplicant' bridge 'N/A' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Initializing interface (2) 'ath0' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: SUPP_PAE entering state DISCONNECTED 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: KEY_RX entering state NO_KEY_RECEIVE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: SUPP_BE entering state INITIALIZE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAP: EAP entering state DISABLED 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: External notification - portEnabled=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: External notification - portValid=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): SIOCGIWRANGE: WE(compiled)=22 WE(source)=18 enc_capa=0xf 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):   capabilities: key_mgmt 0xf enc 0xf 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WEXT: Operstate: linkmode=1, operstate=5 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): b 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_wpa 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_key: alg=0 key_idx=0 set_tx=0 seq_len=0 key_len=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_key: alg=0 key_idx=1 set_tx=0 seq_len=0 key_len=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_key: alg=0 key_idx=2 set_tx=0 seq_len=0 key_len=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_key: alg=0 key_idx=3 set_tx=0 seq_len=0 key_len=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_countermeasures 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_drop_unencrypted 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RSN: flushing PMKID list in the driver 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Setting scan request: 0 sec 100000 usec 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Added interface ath0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RTM_NEWLINK: operstate=0 ifi_flags=0x11043 ([UP][RUNNING][LOWER_UP]) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Wireless event: cmd=0x8b06 len=8 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RTM_NEWLINK: operstate=0 ifi_flags=0x11003 ([UP][LOWER_UP]) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RTM_NEWLINK, IFLA_IFNAME: Interface 'ath0' added 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=9): 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      41 50 5f 53 43 41 4e 20 31                        AP_SCAN 1        
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=11): 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      41 44 44 5f 4e 45 54 57 4f 52 4b                  ADD_NETWORK      
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: ADD_NETWORK 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=35): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): ' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: value - hexdump_ascii(len=16): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): ssid - hexdump_ascii(len=8): 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      4f 61 74 63 61 6b 65 73                           Oatcakes         
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=27): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: SET_NETWORK id=0 name='key_mgmt' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: value - hexdump_ascii(len=4): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): key_mgmt: 0x4 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=33): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: SET_NETWORK id=0 name='wep_key0' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: value - hexdump_ascii(len=10): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wep_key0 - hexdump(len=5): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=29): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: SET_NETWORK id=0 name='wep_tx_keyidx' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: value - hexdump_ascii(len=1): [REMOVED] 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wep_tx_keyidx=0 (0x0) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RX ctrl_iface - hexdump_ascii(len=16): 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):      45 4e 41 42 4c 45 5f 4e 45 54 57 4f 52 4b 20 30   ENABLE_NETWORK 0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE: ENABLE_NETWORK id=0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Setting scan request: 0 sec 0 usec 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): State: DISCONNECTED -> SCANNING 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Starting AP scan (broadcast SSID) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Trying to get current scan results first without requesting a new scan to speed up initial association 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): eived 1433 bytes of scan results (6 BSSes) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Scan results: 6 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Selecting BSS from priority group 0 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Try to find WPA-enabled AP 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 0: 00:11:24:07:b1:13 ssid='' wpa_ie_len=26 rsn_ie_len=26 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - SSID mismatch 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 1: 00:1b:2f:39:f8:1a ssid='SKY16994' wpa_ie_len=24 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - SSID mismatch 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 2: 00:18:4d:61:8b:e8 ssid='Oatcakes' wpa_ie_len=0 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - no WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 3: 00:14:7f:d0:53:ba ssid='BTHomeHub-43F3' wpa_ie_len=0 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - no WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 4: 00:06:25:ff:ac:25 ssid='angel30' wpa_ie_len=0 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - no WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 5: 00:15:e9:62:92:98 ssid='TeamFun' wpa_ie_len=0 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - no WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Try to find non-WPA AP 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 0: 00:11:24:07:b1:13 ssid='' wpa_ie_len=26 rsn_ie_len=26 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - SSID mismatch 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 1: 00:1b:2f:39:f8:1a ssid='SKY16994' wpa_ie_len=24 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120):    skip - SSID mismatch 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 2: 00:18:4d:61:8b:e8 ssid='Oatcakes' wpa_ie_len=0 rsn_ie_len=0 caps=0x11 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): 8b:e8 ssid='Oatcakes' 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Trying to associate with 00:18:4d:61:8b:e8 (SSID='Oatcakes' freq=2462 MHz) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Cancelling scan request 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WPA: clearing own WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Automatic auth_alg selection: 0x1 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WPA: clearing AP WPA IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WPA: clearing AP RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WPA: clearing own WPA/RSN IE 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): No keys have been configured - skip key clearing 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_key: alg=1 key_idx=0 set_tx=1 seq_len=0 key_len=5 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_drop_unencrypted 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): State: SCANNING -> ASSOCIATING 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_set_operstate: operstate 0->0 (DORMANT) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): WEXT: Operstate: linkmode=-1, operstate=5 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): wpa_driver_wext_associate 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Setting authentication timeout: 10 sec 0 usec 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): EAPOL: External notification - portControl=ForceAuthorized 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): CTRL_IFACE monitor attached - hexdump(len=40): 2f 76 61 72 2f 72 75 6e 2f 4e 65 74 77 6f 72 6b 4d 61 6e 61 67 65 72 2f 77 70 61 5f 63 74 72 6c 5f 32 38 37 38 2d 35 00 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RTM_NEWLINK: operstate=0 ifi_flags=0x11003 ([UP][LOWER_UP]) 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): Wireless event: cmd=0x8b06 len=8 
Jul 14 14:54:21 localhost NetworkManager: <information>^Iwpa_supplicant(5120): RTM_NEWLINK: operstate=0 ifi_flags=0x11003 ([UP][LOWER_UP]) 
Jul 14 14:54:49 localhost kernel: pccard: card ejected from slot 0
Jul 14 14:54:49 localhost NetworkManager: <debug info>^I[1184421289.377732] nm_hal_device_removed (): Device removed (hal udi is '/org/freedesktop/Hal/devices/net_00_19_e0_81_60_db_0'). 
Jul 14 14:54:49 localhost NetworkManager: <information>^IDeactivating device ath0. 
Jul 14 14:54:49 localhost NetworkManager: <information>^IActivation (ath0): cancelling... 
Jul 14 14:54:49 localhost NetworkManager: <information>^IActivation (ath0) cancellation handler scheduled... 
Jul 14 14:54:49 localhost NetworkManager: <information>^IActivation (ath0): waiting for device to cancel activation. 
Jul 14 14:54:49 localhost kernel: ACPI: PCI interrupt for device 0000:02:00.0 disabled

Sorry for the long paste but am unsure what is relevant info here (if any) - does the problem seem to lie in 'WPA supplicant' (this is a WEP network)?

Cheers

07/17/07 15:39:12 changed by davidepesa

I had a kernel panic yesterday using 2.6.22-hrt6 and madwifi-ng r2323. The panic happened while trying to associate to a WPA2-PSK network. Everything worked fine with 2.6.21. I managed to get a kernel call trace dump (took a photo with my phone :D), how can I send you the images?

07/17/07 21:27:25 changed by mentor

@davidpesa: forgive me, but why are you posting that here?

(follow-up: ↓ 7 ) 07/18/07 14:31:20 changed by davidepesa

I thought that the panics were caused by bad interaction with a 2.6.22 kernel, not by the specific svn revision of madwifi-ng... I'm sorry for the noise I've created in this ticket, feel free to delete my posts. Anyway if not here, then where should I post that? Should I open a new bug?

(in reply to: ↑ 6 ; follow-up: ↓ 10 ) 07/18/07 18:37:05 changed by mrenzmann

Replying to davidepesa:

Anyway if not here, then where should I post that? Should I open a new bug?

If there is no ticket that seems to match the issue you see: yes. Otherwise add probably missing information in the existing ticket.

(follow-up: ↓ 9 ) 07/18/07 20:21:18 changed by OriginalPoster

Hi guys,

I see this has been elevated to major - is it common? I am still looking for any signs of what might be causing this problem but have come up with nothing so far. Please let me know if I can post anything that might help.

(in reply to: ↑ 8 ) 07/19/07 00:53:29 changed by brucembeach@gmail.com

Replying to OriginalPoster:

Hi guys, I see this has been elevated to major - is it common? I am still looking for any signs of what might be causing this problem but have come up with nothing so far. Please let me know if I can post anything that might help.

I also have the system freeze on both linux-2.6.22 and linux-2.6.22.1. but works fine on 2.6.21.6

(in reply to: ↑ 7 ; follow-up: ↓ 11 ) 07/19/07 17:36:40 changed by davidepesa

Replying to mrenzmann:

Replying to davidepesa:

Anyway if not here, then where should I post that? Should I open a new bug?

If there is no ticket that seems to match the issue you see: yes. Otherwise add probably missing information in the existing ticket.

And what should I do in this specific case? Don't you think that the kernel panics I'm experiencing are related to this bug?

(in reply to: ↑ 10 ) 07/20/07 06:46:39 changed by mrenzmann

Replying to davidepesa:

And what should I do in this specific case? Don't you think that the kernel panics I'm experiencing are related to this bug?

It's hard to tell from the information we have, but I'd say that your issue is not necessarily the same as that of the original poster. Open a new ticket and provide all information you have (including the screenshot of the panic), then we'll see.

07/21/07 12:58:36 changed by OriginalPoster

I can confirm that my particular problem does not result from a kernel panic - the system becomes completely stable again as soon as I eject the PCMCIA wireless card.

07/21/07 15:08:35 changed by bart@ulyssis.org

I see the same problem on 2.6.22 and pre 2.6.23 kernels. The system locks up when my wireless card is enabled. When the interface is up the locks happen a lot more and take longer. Removing the kernel model resolves the problem.

(follow-up: ↓ 15 ) 07/21/07 19:42:50 changed by OriginalPoster

So using 2.6.23 fixes it?

(in reply to: ↑ 14 ) 07/23/07 14:58:19 changed by anonymous

Replying to OriginalPoster:

So using 2.6.23 fixes it?

Don't know, 2.6.23 hasn't even got a rc1 yet. I meant it see this problem on both 2.6.22 and 2.6.23

08/04/07 06:46:18 changed by anonymous

Hrm,

I also seem to have been having the same problem for at least a month. As, just prior to this, I wasn't careful when upgrading both my kernel revision and the madwifi drivers, it wasn't clear to me what could have been the culprit once the instability (as described above: system lockups which have no clear cause, but disappear without a trace once the PCMCIA card is removed and/or reinserted) started. I didn't have the time to further investigate the issue, and just put up with having to unplug the card every hour or so.

Noticing revision @2632, I decided to grab it and my system appears stable. It would be great if those who have replied above could confirm that revision @2632 does or does not resolve this problem. FYI, I have a Trendnet TEW441-PC PCMCIA wireless card in a Thinkpad T40p (which, and this is completely unrelated, has internal hardware afflicted by #939/#936).

08/04/07 12:04:29 changed by Przemyslaw Bruski

Hi,

if we are talking about the same problem, I think it is not as much related to the kernel version as to the madwifi revision. I first noticed the freezes after I had upgraded the kernel to 2.6.21 (along with madwifi version upgrade). Today I reverted back to the 2.6.19.7 version (with madwifi trunk) and still experience the freezes. 2.6.19.2 worked fine for 4 months on my PC... I will retry with 2.6.19.2 and try a binary search for the broken madwifi revision (although I still cannot be sure that it is madwifi that is broken). So far: 2.6.21.1 r2371 - has the problem 2.6.19.2 with pure 0.9.3 - works fine. BTW: I have a PCI card. The system unfreezes after 10-200 seconds. I found that enabling NMI causes the problem to go away (unfortunately).

bye,

Przemek

08/04/07 12:30:42 changed by nbd

please try r2632 or newer.

08/04/07 13:45:43 changed by bart@ulyssis.org

I'm tried r2634 and the lockups disappeared.

08/04/07 14:07:57 changed by nbd

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

02/11/08 06:21:20 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.